#define RELAY1_PIN 9      // Relay 1 connected to GPIO 9 (Forward)
#define RELAY2_PIN 7      // Relay 2 connected to GPIO 7 (Reverse)
#define PHOTO_PIN 1       // Phototransistor connected to GPIO 1

void setup() {
  pinMode(RELAY1_PIN, OUTPUT);
  pinMode(RELAY2_PIN, OUTPUT);
  pinMode(PHOTO_PIN, INPUT);

  digitalWrite(RELAY1_PIN, HIGH);  // Relay 1 off
  digitalWrite(RELAY2_PIN, HIGH);  // Relay 2 off

  Serial.begin(115200);
}

void loop() {
  int photoValue = analogRead(PHOTO_PIN);
  Serial.print("Light Intensity Value: ");
  Serial.println(photoValue);

  if (photoValue < 200) {  // If light intensity is less than 200
    digitalWrite(RELAY2_PIN, HIGH);  // Ensure Relay 2 (reverse) is off
    delay(100);  // Brief delay to avoid relay overlap
    digitalWrite(RELAY1_PIN, LOW);   // Relay 1 ON (Forward covering)
    Serial.println("Relay 1: ON (Covering)");
  } else {  // If light intensity is greater than or equal to 200
    digitalWrite(RELAY1_PIN, HIGH);  // Ensure Relay 1 (forward) is off
    delay(100);  // Brief delay to avoid relay overlap
    digitalWrite(RELAY2_PIN, LOW);   // Relay 2 ON (Reverse uncovering)
    Serial.println("Relay 2: ON (Uncovering)");
  }

  delay(500);  // Adjust delay for stability
}
